Subject: Eucalyptus in California

From: [email-masked] (R5M)
Date: 24 Mar 1995 11:49:01 -0500

The Blue Gum Eucalyptus (globulus) was a part of a land scam in the 1850's
here in California.  Their history is quite interesting.  Tall and
straight, the wood is too soft to hold a nail.  It is quite weedy and
almost impossible to get rid of.  Barn owls live in them but I haven't
seen any birds actually at the flowers. (Like the Anna's Hummingbird)
No expert, I do know we have quite the varieties for landscaping as well
as anything else Austrailian that looks good.